Reactivate PCN subscription

Start to use again a subscription that was stopped after failing.

circle-info

Read our guideline to use the PCN here: [New] Product Change Notifications API

If your endpoint that receives our webhooks keeps not responding with 200, we will move the concerned subscription to degraded and then failed, and stop sending PCN.

After you fixed your URL, you can reactivate your subscriptions. If you need to change the endpoint URL, you can also do so with this endpoint.

Reactivate endpoint:

post
/product-change-notification/{subscription_id}/reactivate
Path parameters
subscription_idstringRequired

Unique ID of your subscription.

Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Body

Optional payload used when reactivating an existing subscription.

callback_urlstring · uri · nullableOptional

Optional HTTP/HTTPS endpoint override. When omitted, the subscription is attempted to reactivate using the existing callback URL.

Example: https://example-partner.com/webhooks/product-change
Responses
chevron-right
200

Subscription successfully reactivated.

application/json

Request body used to subscribe to product change notifications.

subscription_typestring · enumRequired

Scope of the subscription.

Example: product_idsPossible values:
entity_idsinteger[] · min: 1Optional

Unique identifiers for the entities that belong to the selected subscription scope.

Example: 974081
callback_urlstring · uriRequired

HTTP or HTTPS endpoint where Tiqets will send the product change notifications.

Example: https://example-partner.com/webhooks/product-change
subscription_idstringRequired

Unique identifier assigned to the subscription.

statusstring · enumRequired

Current lifecycle status of the subscription.

Possible values:
post
/product-change-notification/{subscription_id}/reactivate

Last updated

Was this helpful?